<project-template>
	<project-wizard>
		<_name>GTKmm (Simple)</_name>
		<_description>A minimal GTKmm project</_description>
		<icon>gtk-logo.png</icon>
		<category>C++</category>
		<order>1</order>
		<required-program>automake</required-program>
		<required-program>autoconf</required-program>
		<required-program>make</required-program>
		<required-package>gtkmm-3.0</required-package>
	</project-wizard>
	
	<page name="basic" _label="Basic information" _description="General Project Information">
		<property type="string" name="Name" _label="Project Name:" _description="project name" default="gtk-foobar" summary="yes" restriction="filename" mandatory="yes"/>
		<property type="string" name="Author" _label="Author:" _description="" default="[+UserName+]" mandatory="yes"/>
		<property type="string" name="Email" _label="Email address:" _description="" default="[+EmailAddress+]" mandatory="no"/>
		<property type="string" name="Version" _label="Version:" default="0.1" mandatory="yes"/>
	</page>
	
	<page name="options" _label="Project options" _description="Options for project build system">
		<property type="directory" name="Destination" _label="Destination:" _description="" default='[+AnjutaProjectDirectory+]/[+(string-downcase (get "Name"))+]' mandatory="yes" exist="no" summary="yes"/>
		[+INCLUDE "licenses.tpl"+]
		<property type="hidden" name="NameUpper" default='[+(string-upcase (get "Name"))+]'/>
		<property type="hidden" name="NameLower" default='[+(string-downcase (get "Name"))+]'/>
		<property type="hidden" name="NameCUpper" default='[+(string-append (if (~~* (get "Name") "[0-9]") "_" "") (string->c-name! (string-substitute (string-upcase (get "Name")) " " "_")))+]'/>
		<property type="hidden" name="NameCLower" default='[+(string->c-name! (string-substitute (string-downcase (get "Name")) " " "_"))+]'/>
		<property type="hidden" name="NameHLower" default='[+(string-substitute (string->c-name! (string-downcase (get "Name"))) " " "-")+]'/>
		<property type="hidden" name="HavePackage" default="1"/>
		<property type="hidden" name="PackageModule1" default="gtkmm-3.0"/>
		<property type="boolean" name="HaveI18n" _label="Add internationalization:" _description="Adds support for internationalization so that your project can have translations in different languages" default="1"/>
		<property type="boolean" name="HaveSharedlib" _label="Add shared library support:" _description="Adds support for building shared libraries in your project" default="1"/>
		<property type="hidden" name="HaveGtkDoc" _label="Add gtk-doc system:" _description="gtk-doc is used to compile API documentations for GObject based classes" default="0"/>
		<property type="boolean" name="HavePackageExtra" _label="Configure external packages:" _description="Use pkg-config to add library support from other packages" default="0"/>
		<property type="boolean" name="HaveBuilderUI" _label="Use GtkBuilder for user interface:" _description="Use GtkBuilder to create the user-interface in a graphical way and load it from xml files at runtime" default="1"/>
		<property type="boolean" name="HaveWindowsSupport" _label="Add Windows support:" _description="Adds support for building on Windows platforms" default="0"/>
	</page>

[+IF (=(get "HavePackageExtra") "1")+]	
	<page name="packages" _label="Configure external packages" _description="Configure external packages">
		<property type="package" name="PackageModule2" _label="Required Packages:" _description="Check the packages that your project requires" mandatory="yes"/>
	</page>
[+ENDIF+]
	<content>
		<directory source="terminal" destination="[+Destination+]">
			<file source="AUTHORS"/>
			<file source="ChangeLog"/>
			<file source="Makefile.am.tpl" destination="Makefile.am"/>
			<file source="NEWS"/>
			<file source="README"/>
			<file source="autogen.sh" executable="yes"/>
			<file destination="[+NameHLower+].anjuta" source="project.anjuta"/>
			[+IF (=(get "HaveI18n") "1") +]
			<directory source="po">
				<file source="ChangeLog"/>
				<file source="POTFILES.in"/>
				<file source="LINGUAS" />
			</directory>
			[+ENDIF+]
		</directory>
		<directory source="cpp" destination="[+Destination+]">
		<file source="configure.ac.tpl" destination="configure.ac"/>
		</directory>
		<directory source="gtkmm" destination="[+Destination+]">
			<directory source="src">
				<file source="main.cc"/>
				[+IF (=(get "HaveBuilderUI") "1")+]				
				<file source="project.ui" destination="[+NameHLower+].ui"/>
				[+ENDIF+]
				<file source="Makefile.am.tpl" destination="Makefile.am"/>
			</directory>
		</directory>
		<directory source="licenses" destination="[+Destination+]">
			<file source="[+License+].txt" destination="COPYING"/>	
		</directory>
		<directory source="minimal" destination="[+Destination+]">
			<directory source="." destination=".anjuta">
				<directory source="." destination="session">
					<file source="anjuta.session"/>
				</directory>
			</directory>
		</directory>
	</content>
	
	<action>
		<open file="[+Destination+]/[+NameHLower+].anjuta"/>
	</action>
</project-template>
